Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885102 - read-write snapshots can't be used in a new installation
Summary: read-write snapshots can't be used in a new installation
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException RejectedBlocker
Depends On:
Blocks: F33FinalFreezeException 1851166
TreeView+ depends on / blocked
 
Reported: 2020-10-05 05:02 UTC by Chris Murphy
Modified: 2021-06-20 02:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
anaconda.log (27.29 KB, text/plain)
2020-10-05 05:04 UTC, Chris Murphy
no flags Details
program.log (2.15 KB, text/plain)
2020-10-05 05:04 UTC, Chris Murphy
no flags Details
storage.log (311.15 KB, text/plain)
2020-10-05 05:04 UTC, Chris Murphy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure fedora-btrfs/project issue 29 0 None None None 2020-10-13 15:04:20 UTC

Description Chris Murphy 2020-10-05 05:02:02 UTC
Description of problem:

I'm disallowed from (re)using any read-write snapshot it in Anaconda's Custom partitioning UI. Affects the reuse of a rw snapshot for any purpose, e.g. /home or /boot. For example restoring a "home" from backup using btrfs send-receive.


Version-Release number of selected component (if applicable):
python-blivet-3.3.0-2.fc33
anaconda-33.25.4-1.fc33

How reproducible:
Always

Steps to Reproduce:
1. Complete a default installation
2. Mount the top-level of the btrfs file system, e.g. 'mount /dev/sdXY /mnt' 
3. Create a rw snapshot of home, e.g. 'btrfs subvolume snapshot /mnt/home  /mnt/home2
4. Reboot and launch the installer, choose Custom partitioning, Btrfs preset, find and click on 'home2'

Actual results:

Upon click on the 'home2' subvolume, on the right side UI I see:

This device cannot be edited directly. You can remove it or select a different device.


Expected results:

I should be able to assign this snapshot to /home mountpoint.


Additional info:

If I create a new subvolume and 'cp -r' the contents from the snapshot to the (new) subvolume, I'm allowed to use it.

It'd be reasonable if blivet were to disallow the use of read-only snapshots, however this is a read-write snapshot.

Comment 1 Chris Murphy 2020-10-05 05:04:14 UTC
Created attachment 1718885 [details]
anaconda.log

Comment 2 Chris Murphy 2020-10-05 05:04:25 UTC
Created attachment 1718886 [details]
program.log

Comment 3 Chris Murphy 2020-10-05 05:04:43 UTC
Created attachment 1718887 [details]
storage.log

Comment 4 Chris Murphy 2020-10-05 05:07:39 UTC
Advanced-Custom UI allows me to use either a read-write or read-only snaphot.

Comment 5 Fedora Blocker Bugs Application 2020-10-05 05:13:21 UTC
Proposed as a Blocker for 33-final by Fedora user chrismurphy using the blocker tracking app because:

 https://fedoraproject.org/wiki/Fedora_33_Beta_Release_Criteria#Custom_partitioning

When using both the installer-native and the blivet-gui-based custom partitioning flow, the installer must be able to:  Assign mount points to existing storage volumes. (Expand section further says "this is considered to cover the common operation of re-using an existing /home".)

Comment 6 Chris Murphy 2020-10-05 05:24:46 UTC
Strictly speaking the criterion is not violated because the original home subvolume can be assigned to a new installation. Since we're not doing any kind of snapshots nor shipping a way for users to get into this situation via 'btrfs send/receive' restored use home, it's probably reasonable to consider it a 'conditional blocker', i.e. it depends on local configuration to trigger the bug.

https://fedoraproject.org/wiki/Blocker_Bug_FAQ#What_about_hardware_and_local_configuration_dependent_issues.3F

(1) few people will be adversely affected during the fedora 33 lifecycle;
(2) relatively easy to work around by cli; such a 'cp -r' is an efficient copy on f33 due to use of reflink copies by default.

Comment 7 Geoffrey Marr 2020-10-05 20:02:39 UTC
Discussed during the 2020-10-05 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker (Final)" and an "AcceptedFreezeException (Final)" was made as it seems unlikely it will affect many if any people during F33 cycle, given there are likely few existing cases where someone would want to reuse a btrfs /home snapshot. Accepted as a freeze exception issue as there may be *some* cases, and it cannot be fixed with a post-release update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-10-05/f33-blocker-review.2020-10-05-16.00.txt

Comment 8 Chris Murphy 2021-06-20 02:38:40 UTC
python3-blivet-3.4.0-2.fc35.noarch
anaconda-35.17-1.fc35.x86_64


Note You need to log in before you can comment on or make changes to this bug.